import App from './App'
import store from './store'


// main.js，注意要在use方法之后执行
import uView from 'uview-ui'
Vue.use(uView)
// uni.$u.config.unit = 'rpx'





import initialize from "@/utils/initialize.js"
Vue.use(initialize);

// 全局加载组件
import reverseBack from "@/components/headModules/reverse-back.vue"

Vue.component('reverseBack', reverseBack)


// 如此配置即可
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'

try {
	function isPromise(obj) {
		return (
			!!obj &&
			(typeof obj === "object" || typeof obj === "function") &&
			typeof obj.then === "function"
		);
	}

	// 统一 vue2 API Promise 化返回格式与 vue3 保持一致
	uni.addInterceptor({
		returnValue(res) {
			if (!isPromise(res)) {
				return res;
			}
			return new Promise((resolve, reject) => {
				res.then((res) => {
					if (res[0]) {
						reject(res[0]);
					} else {
						resolve(res[1]);
					}
				});
			});
		},
	});
} catch (error) {}

const app = new Vue({
	...App,
	store
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif